## httpcore 0.12.0

=== requirements.txt ===
-e .[http2]

# Optionals
trio==0.17.0
trio-typing==0.5.0
curio==1.4

# Docs
mkautodoc==0.1.0
mkdocs==1.1.2
mkdocs-material==6.0.2

# Packaging
twine==3.2.0
wheel==0.35.1

# Tests & Linting
anyio==2.0.2
autoflake==1.4
black==20.8b1
flake8==3.8.4
flake8-bugbear==20.1.4
flake8-pie==0.6.1
isort==5.5.4
mypy==0.782
pproxy==2.3.5
pytest==6.1.1
pytest-trio==0.6.0
pytest-cov==2.10.1
uvicorn==0.12.1

=== debian/changelog ===
httpcore (0.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Oct 2020 17:17:45 -0400

httpcore (0.11.1-1) unstable; urgency=low

  * Initial release; Closes: #969517

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Oct 2020 22:41:37 -0400

=== debian/control ===
Source: httpcore
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               mitmproxy <!nocheck>,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-setuptools,
               python3-sniffio <!nocheck>,
               python3-trustme <!nocheck>,
               python3-uvicorn <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://github.com/encode/httpcore
Vcs-Git: https://salsa.debian.org/python-team/packages/httpcore.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/httpcore

Package: python3-httpcore
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: minimal low-level HTTP client
 The HTTP Core package provides a minimal low-level HTTP client, which does one
 thing only. Sending HTTP requests.
 .
 It does not provide any high level model abstractions over the API, does not
 handle redirects, multipart uploads, building authentication headers,
 transparent HTTP caching, URL parsing, session cookie handling, content or
 charset decoding, handling JSON, environment based configuration defaults, or
 any of that Jazz.
 .
 Some things HTTP Core does do:
 .
  * Sending HTTP requests.
  * Provides both sync and async interfaces.
  * Supports HTTP/1.1 and HTTP/2.
  * Async backend support for asyncio and trio.
  * Automatic connection pooling.
  * HTTP(S) proxy support.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=httpcore
export PYBUILD_TEST_ARGS=--verbose -k ' \
          not test_closing_http_request and \
          not test_connection_pool_get_connection_info and \
          not test_explicit_backend_name and \
          not test_http2_request and \
          not test_http_proxy and \
          not test_http_request and \
          not test_http_request_cannot_reuse_dropped_connection and \
          not test_http_request_local_address and \
          not test_http_request_reuse_connection and \
          not test_https_request and \
          not test_https_request_reuse_connection and \
          not test_max_keepalive_connections_handled_correctly and \
          not test_proxy_https_requests \
	  '

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	find .pybuild -type f -name .coverage -delete
	dh_auto_install

## httpcore 0.12.2

=== requirements.txt ===
-e .[http2]

# Optionals
trio==0.17.0
trio-typing==0.5.0
curio==1.4

# Docs
mkautodoc==0.1.0
mkdocs==1.1.2
mkdocs-material==6.1.2

# Packaging
twine==3.2.0
wheel==0.35.1

# Tests & Linting
anyio==2.0.2
autoflake==1.4
black==20.8b1
coverage==5.3
flake8==3.8.4
flake8-bugbear==20.1.4
flake8-pie==0.6.1
hypercorn==0.11.1; python_version >= '3.7'
isort==5.6.4
mypy==0.790
pproxy==2.3.7
pytest==6.1.2
pytest-trio==0.7.0
trustme==0.6.0
uvicorn==0.12.1; python_version < '3.7'

=== debian/changelog ===
httpcore (0.12.2-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - add trio to b-d, needed by tests
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump dh compat to 13
  * debian/rules
    - exclude even more tests: accessing network or misisng modules

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jan 2021 00:25:32 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                mitmproxy <!nocheck>,
                python3-all,
@@ -11,9 +11,10 @@
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
                python3-sniffio <!nocheck>,
+               python3-trio <!nocheck>,
                python3-trustme <!nocheck>,
                python3-uvicorn <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/encode/httpcore
 Vcs-Git: https://salsa.debian.org/python-team/packages/httpcore.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/httpcore

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=httpcore
+# missing pproxy: test_proxy_socket_does_not_leak_when_the_connection_hasnt_been_added_to_pool
 export PYBUILD_TEST_ARGS=--verbose -k ' \
           not test_closing_http_request and \
           not test_connection_pool_get_connection_info and \
@@ -14,7 +15,13 @@
           not test_https_request and \
           not test_https_request_reuse_connection and \
           not test_max_keepalive_connections_handled_correctly and \
-          not test_proxy_https_requests \
+          not test_proxy_https_requests and \
+          not test_proxy_socket_does_not_leak_when_the_connection_hasnt_been_added_to_pool and \
+	  not test_threadsafe_basic and \
+	  not test_broken_socket_detection_many_open_files and \
+	  not test_no_retries and \
+	  not test_retries_enabled and \
+	  not test_retries_exceeded \
 	  '
 
 %:

## httpcore 0.12.3

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # Docs
 mkautodoc==0.1.0
 mkdocs==1.1.2
-mkdocs-material==6.1.2
+mkdocs-material==6.1.6
 
 # Packaging
 twine==3.2.0
@@ -20,13 +20,14 @@
 black==20.8b1
 coverage==5.3
 flake8==3.8.4
-flake8-bugbear==20.1.4
+flake8-bugbear==20.11.1
 flake8-pie==0.6.1
 hypercorn==0.11.1; python_version >= '3.7'
 isort==5.6.4
 mypy==0.790
-pproxy==2.3.7
+pproxy==2.4.6
 pytest==6.1.2
 pytest-trio==0.7.0
+pytest-asyncio==0.14.0
 trustme==0.6.0
 uvicorn==0.12.1; python_version < '3.7'

=== debian/changelog ===
httpcore (0.12.3-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:03:13 +0000

httpcore (0.12.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add pytest-asyncio to b-d, needed by tests
  * debian/rules
    - add 2 new tests to skip + reorg list setup of skipped tests

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Feb 2021 23:40:12 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: httpcore
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                mitmproxy <!nocheck>,
                python3-all,
                python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
                python3-sniffio <!nocheck>,

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=httpcore
# missing pproxy: test_proxy_socket_does_not_leak_when_the_connection_hasnt_been_added_to_pool
export PYBUILD_TEST_ARGS=--verbose -k ' \
	      not test_closing_http_request \
	  and not test_connection_pool_get_connection_info \
	  and not test_explicit_backend_name \
	  and not test_http2_request \
	  and not test_http_proxy \
	  and not test_http_request \
	  and not test_http_request_cannot_reuse_dropped_connection \
	  and not test_http_request_local_address \
	  and not test_http_request_reuse_connection \
	  and not test_https_request \
	  and not test_https_request_reuse_connection \
	  and not test_max_keepalive_connections_handled_correctly \
	  and not test_proxy_https_requests \
	  and not test_proxy_socket_does_not_leak_when_the_connection_hasnt_been_added_to_pool \
	  and not test_threadsafe_basic \
	  and not test_broken_socket_detection_many_open_files \
	  and not test_no_retries \
	  and not test_retries_enabled \
	  and not test_retries_exceeded \
	  and not test_connection_timeout_tcp \
	  and not test_connection_timeout_uds \
	  '

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	find .pybuild -type f -name .coverage -delete
	dh_auto_install

## httpcore 0.13.7

=== requirements.txt ===
-e .[http2]

# Optionals
trio==0.19.0
trio-typing==0.5.1
curio==1.4; python_version < '3.7'
curio==1.5; python_version >= '3.7'

# Docs
# https://github.com/sphinx-doc/sphinx/issues/9505
sphinx @ https://github.com/sphinx-doc/sphinx/archive/03bf83365eb7a5180e93a3ccd5c050f5da36c489.tar.gz; python_version >= '3.10'
sphinx==4.1.2; python_version < '3.10'
sphinx-autobuild==2021.3.14
myst-parser==0.15.2
furo==2021.8.31
ghp-import==2.0.1
# myst-parser + docutils==0.17 has a bug: https://github.com/executablebooks/MyST-Parser/issues/343
docutils==0.17.1

# Packaging
twine==3.4.2
wheel==0.37.0

# Tests & Linting
anyio==3.3.0
autoflake==1.4
black==21.8b0
coverage==5.5
flake8==3.9.2
flake8-bugbear==21.4.3
flake8-pie==0.6.1
hypercorn==0.11.2; python_version >= '3.7'
isort==5.9.3
mypy==0.910
pproxy==2.7.8
pytest==6.2.5
pytest-trio==0.7.0
pytest-asyncio==0.15.1
trustme==0.9.0
uvicorn==0.12.1; python_version < '3.7'

=== debian/changelog ===
httpcore (0.13.7-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Oct 2021 23:47:02 -0400

## httpcore 0.14.3

=== requirements.txt ===
-e .[http2]

# Optionals
trio==0.19.0
trio-typing==0.5.1
curio==1.4; python_version < '3.7'
curio==1.5; python_version >= '3.7'

# Docs
mkdocs==1.2.2
mkdocs-autorefs==0.3.0
mkdocs-material==7.3.0
mkdocs-material-extensions==1.0.3
mkdocstrings==0.16.1

# Packaging
twine==3.4.2
wheel==0.37.0

# Tests & Linting
anyio==3.3.4
autoflake==1.4
black==21.10b0
coverage==5.5
flake8==4.0.1
flake8-bugbear==21.9.2
flake8-pie==0.6.1
hypercorn==0.11.2; python_version >= '3.7'
isort==5.9.3
mypy==0.910
pproxy==2.7.8
pytest==6.2.5
pytest-httpbin==1.0.0
pytest-trio==0.7.0
pytest-asyncio==0.15.1
trustme==0.9.0
types-certifi==2021.10.8.0
uvicorn==0.12.1; python_version < '3.7'

=== debian/changelog ===
httpcore (0.14.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add anyio, pytest-httpbin to b-d, needed by tests
  * add autopkgtests

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Nov 2021 23:16:03 -0500

## httpcore 0.14.5

=== requirements.txt ===
-e .[http2,socks]

# Optionals
trio==0.19.0

# Docs
mkdocs==1.2.3
mkdocs-autorefs==0.3.1
mkdocs-material==8.1.4
mkdocs-material-extensions==1.0.3
mkdocstrings==0.17.0

# Packaging
twine==3.7.1
wheel==0.37.0

# Tests & Linting
anyio==3.4.0
autoflake==1.4
black==21.12b0
coverage==6.2
flake8==4.0.1
isort==5.10.1
mypy==0.930
pytest==6.2.5
pytest-httpbin==1.0.1
pytest-trio==0.7.0
pytest-asyncio==0.16.0

=== debian/changelog ===
httpcore (0.14.5-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/rules, debian/tests/unittests
    - dont run tests requiring sockio, not packaged for debian yet

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Feb 2022 14:58:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: httpcore
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                mitmproxy <!nocheck>,
                python3-all,
+               python3-anyio <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-pytest-httpbin <!nocheck>,
                python3-setuptools,
                python3-sniffio <!nocheck>,
                python3-trio <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 export PYBUILD_NAME=httpcore
 # missing pproxy: test_proxy_socket_does_not_leak_when_the_connection_hasnt_been_added_to_pool
-export PYBUILD_TEST_ARGS=--verbose -k ' \
+# missing sockio: tests/*/test_socks_proxy.py
+export PYBUILD_TEST_ARGS=--verbose --ignore-glob=tests/*/test_socks_proxy.py -k ' \
 	      not test_closing_http_request \
 	  and not test_connection_pool_get_connection_info \
 	  and not test_explicit_backend_name \

## httpcore 0.15.0

=== debian/changelog ===
httpcore (0.15.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release
  * debian/rules
    - exclude tests needing pytest-trio and set asyncio_mode=strict
  * debian/patches/tests-add-markers-trio.patch
    - add trio to pytest markers

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jun 2022 21:41:06 -0400

httpcore (0.14.5-3) unstable; urgency=medium

  * debian/control
    - add an explicit versioned Depends on h11 >= 0.11; Closes: #1007767

 -- Sandro Tosi <morph@debian.org>  Tue, 29 Mar 2022 21:45:11 -0400

httpcore (0.14.5-2) unstable; urgency=medium

  * debian/control, debian/rules
    - add socksio to b-d, needed by tests which were disable and can now be
      enabled again
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Mar 2022 20:21:31 -0400

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 export PYBUILD_NAME=httpcore
 # missing pproxy: test_proxy_socket_does_not_leak_when_the_connection_hasnt_been_added_to_pool
-# missing sockio: tests/*/test_socks_proxy.py
-export PYBUILD_TEST_ARGS=--verbose --ignore-glob=tests/*/test_socks_proxy.py -k ' \
+# missing pytest-trio: test_response_async_read, test_response_async_streaming, test_connection_pool_concurrency, test_connection_pool_concurrency_same_domain_closing, test_connection_pool_concurrency_same_domain_keepalive
+export PYBUILD_TEST_ARGS=--verbose -o asyncio_mode=strict -k ' \
 	      not test_closing_http_request \
 	  and not test_connection_pool_get_connection_info \
 	  and not test_explicit_backend_name \
@@ -25,6 +25,11 @@
 	  and not test_retries_exceeded \
 	  and not test_connection_timeout_tcp \
 	  and not test_connection_timeout_uds \
+	  and not test_response_async_read \
+	  and not test_response_async_streaming \
+	  and not test_connection_pool_concurrency \
+	  and not test_connection_pool_concurrency_same_domain_closing \
+	  and not test_connection_pool_concurrency_same_domain_keepalive \
 	  '
 
 %:

## httpcore 0.16.3

=== requirements.txt ===
-e .[http2,socks]

# Optionals
trio==0.21.0

# Docs
mkdocs==1.4.2
mkdocs-autorefs==0.3.1
mkdocs-material==8.5.7
mkdocs-material-extensions==1.1
mkdocstrings[python-legacy]==0.19.0
jinja2==3.1.2

# Packaging
twine
wheel

# Tests & Linting
anyio==3.6.2
autoflake==1.7.7
black==22.8.0
coverage==6.5.0
flake8==3.9.2  # See: https://github.com/PyCQA/flake8/pull/1438
isort==5.10.1
importlib-metadata==4.13.0
mypy==0.991
trio-typing==0.7.0
types-certifi==2021.10.8.3
pytest==7.2.0
pytest-httpbin==2.0.0rc1
pytest-trio==0.7.0
werkzeug<2.1  # See: https://github.com/postmanlabs/httpbin/issues/673

=== debian/changelog ===
httpcore (0.16.3-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/tests-add-markers-trio.patch
    - refresh patch
  * debian/rules
    - exclude more failing tests
  * run autopkgtest via autopkgtest-pkg-pybuild
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 01 Jan 2023 19:46:52 -0500

=== debian/control ===
--- 
+++ 
@@ -14,17 +14,20 @@
                python3-pytest-httpbin <!nocheck>,
                python3-setuptools,
                python3-sniffio <!nocheck>,
+               python3-socksio <!nocheck>,
                python3-trio <!nocheck>,
                python3-trustme <!nocheck>,
                python3-uvicorn <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/encode/httpcore
 Vcs-Git: https://salsa.debian.org/python-team/packages/httpcore.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/httpcore
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-httpcore
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-h11 (>= 0.11),
+         ${misc:Depends},
          ${python3:Depends},
 Recommends: ${python3:Recommends},
 Suggests: ${python3:Suggests},

## httpcore 0.17.3

=== requirements.txt ===
-e .[http2,socks]

# Optionals
trio==0.21.0

# Docs
mkdocs==1.4.2
mkdocs-autorefs==0.3.1
mkdocs-material==9.1.15
mkdocs-material-extensions==1.1.1
mkdocstrings[python-legacy]==0.22.0
jinja2==3.1.2

# Packaging
twine
wheel

# Tests & Linting
anyio==3.6.2
autoflake==1.7.7
black==23.3.0
coverage==7.2.7
flake8==3.9.2  # See: https://github.com/PyCQA/flake8/pull/1438
isort==5.11.4
importlib-metadata==4.13.0
mypy==1.2.0
trio-typing==0.8.0
types-certifi==2021.10.8.3
pytest==7.4.0
pytest-httpbin==2.0.0
pytest-trio==0.7.0
werkzeug<2.1  # See: https://github.com/postmanlabs/httpbin/issues/673

=== debian/changelog ===
httpcore (0.17.3-1) unstable; urgency=medium

  * New upstream release; Closes: #1041479

 -- Sandro Tosi <morph@debian.org>  Wed, 19 Jul 2023 22:58:26 -0400

## httpcore 1.0.2

=== requirements.txt ===
-e .[asyncio,trio,http2,socks]

# Docs
mkdocs==1.5.3
mkdocs-autorefs==0.5.0
mkdocs-material==9.4.7
mkdocs-material-extensions==1.3
mkdocstrings[python-legacy]==0.22.0
jinja2==3.1.2

# Packaging
build==1.0.3
twine

# Tests & Linting
black==23.10.1
coverage[toml]==7.3.0
ruff==0.1.3
mypy==1.5.1
trio-typing==0.9.0
types-certifi==2021.10.8.3
pytest==7.4.3
pytest-httpbin==2.0.0
pytest-trio==0.7.0
werkzeug<2.1  # See: https://github.com/postmanlabs/httpbin/issues/673

=== debian/changelog ===
httpcore (1.0.2-2) unstable; urgency=medium

  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 16:26:35 -0500

httpcore (1.0.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream release.
  * Refresh patches.
  * Migrate to hatchling with pybuild-plugin-pyproject.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Jan 2024 18:00:38 -0400

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                mitmproxy <!nocheck>,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-anyio <!nocheck>,
+               python3-hatch-fancy-pypi-readme,
+               python3-hatchling,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-httpbin <!nocheck>,
-               python3-setuptools,
                python3-sniffio <!nocheck>,
                python3-socksio <!nocheck>,
                python3-trio <!nocheck>,
@@ -20,8 +21,8 @@
                python3-uvicorn <!nocheck>,
 Standards-Version: 4.6.2.0
 Homepage: https://github.com/encode/httpcore
-Vcs-Git: https://salsa.debian.org/python-team/packages/httpcore.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/httpcore
+Vcs-Git: https://salsa.debian.org/morph/httpcore.git
+Vcs-Browser: https://salsa.debian.org/morph/httpcore
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-httpcore

## httpcore 1.0.4

=== requirements.txt ===
-e .[asyncio,trio,http2,socks]

# Docs
mkdocs==1.5.3
mkdocs-autorefs==0.5.0
mkdocs-material==9.5.10
mkdocs-material-extensions==1.3.1
mkdocstrings[python-legacy]==0.24.0
jinja2==3.1.3

# Packaging
build==1.0.3
twine

# Tests & Linting
coverage[toml]==7.4.1
ruff==0.2.2
mypy==1.8.0
trio-typing==0.10.0
types-certifi==2021.10.8.3
pytest==8.0.1
pytest-httpbin==2.0.0
pytest-trio==0.8.0
werkzeug<2.1  # See: https://github.com/postmanlabs/httpbin/issues/673

=== debian/changelog ===
httpcore (1.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Mar 2024 22:28:18 -0500

## httpcore 1.0.7

=== requirements.txt ===
-e .[asyncio,trio,http2,socks]

# Docs
mkdocs==1.6.0
mkdocs-autorefs==1.0.1
mkdocs-material==9.5.27
mkdocs-material-extensions==1.3.1
mkdocstrings[python-legacy]==0.25.1
jinja2==3.1.4

# Packaging
build==1.2.1
twine==5.1.1

# Tests & Linting
coverage[toml]==7.5.4
ruff==0.5.0
mypy==1.10.1
trio-typing==0.10.0
pytest==8.2.2
pytest-httpbin==2.0.0
pytest-trio==0.8.0
werkzeug<3.1  # See: https://github.com/psf/httpbin/issues/35

# Benchmarking and profiling
uvicorn==0.30.1
aiohttp==3.10.2
urllib3==2.2.2
matplotlib==3.7.5
pyinstrument==4.6.2

=== debian/changelog ===
httpcore (1.0.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - replace b-d on mitmproxy with h2, hpack and hyperframe; Closes: #1086525

 -- Sandro Tosi <morph@debian.org>  Wed, 20 Nov 2024 02:26:46 -0500

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               mitmproxy <!nocheck>,
                pybuild-plugin-pyproject,
                python3-all,
                python3-anyio <!nocheck>,
+               python3-h2 <!nocheck>,
                python3-hatch-fancy-pypi-readme,
                python3-hatchling,
+               python3-hpack <!nocheck>,
+               python3-hyperframe <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
                python3-pytest-cov <!nocheck>,

## httpcore 1.0.9

=== debian/changelog ===
httpcore (1.0.9-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Oct 2025 00:38:27 -0400

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,13 @@
 	  and not test_connection_pool_concurrency \
 	  and not test_connection_pool_concurrency_same_domain_closing \
 	  and not test_connection_pool_concurrency_same_domain_keepalive \
+	  and not test_ssl_request \
+	  and not test_extra_info \
+	  and not test_socks5_request_incorrect_auth \
+	  and not test_socks5_request_failed_to_provide_auth \
+	  and not test_socks5_request_connect_failed \
+	  and not test_authenticated_socks5_request \
+	  and not test_socks5_request \
 	  '
 
 %:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%httpcore-$1.tar.gz%" \
https://github.com/encode/httpcore/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
